<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:c="http://java.sun.com/jsp/jstl/core"
                template="/WEB-INF/template.xhtml">

    <ui:define name="title">Dashboard</ui:define>


    <ui:define name="head">
        <script type="text/javascript">
            //<![CDATA[
            function skinChart() {
                this.cfg.shadow = false;
                this.cfg.title = '';
                this.cfg.seriesColors = ['#FFC107', '#03A9F4'];
                this.cfg.grid = {
                    background: '#ffffff',
                    borderColor: '#ffffff',
                    gridLineColor: '#EEEEEE',
                    shadow: false
                };
                this.cfg.axesDefaults = {
                    rendererOptions: {
                        textColor: '#212121'
                    }
                };
                this.cfg.seriesDefaults = {
                    shadow: false,
                    lineWidth: 1,
                    markerOptions: {
                        shadow: false,
                        size: 7,
                        style: 'circle'
                    }
                }
            }
            //]]>  
        </script>
        <style type="text/css">
            .main-content {
                padding: 0;
            }
        </style>
    </ui:define>



    <ui:define name="content">
   
        <div class="ui-g dashboard">
        
        <div class="ui-g-3"></div>
        <div class="ui-g-12">
         <div class="card card-w-title">
                    <h1>Search for events</h1>
                    <p:panelGrid columns="3" layout="grid" styleClass="ui-panelgrid-blank form-group" cellpadding="10">
                    <h:form>
                       
                            <p:inputText value="#{eventBean.searchString}" placeholder="Search by location or title" />
                            
                        
                        
                       
                         <p:commandButton action="#{eventBean.doGetBySearchString()}" type="submit" value="search" icon="ui-icon-send" iconPos="right" style="width:auto;"/>
                        
                        </h:form>
                       </p:panelGrid>
                </div>
                </div>
        
        <c:forEach var="item" items="#{eventBean.events}">
            <p:panel  header="#{item.title}" footer="" style="margin-bottom:20px;width:100%">
		        
		       
		        <h:panelGrid columns="2" cellpadding="10">
					<img href="" style="width: 250px;height: 100%" src="#{item.imageURI}" />
					 <h:panelGrid columns="1" cellpadding="10">
					
					<h:outputText value='#{item.title.toUpperCase()}' />
					<h:form>
					<p:commandButton type="submit" action="#{eventBean.doGetEvent(item.id)}" value="More details" icon="ui-icon-send" iconPos="right" style="width:auto"/>
					
					</h:form>
					<h:outputText value="#{item.content}" />
					</h:panelGrid>
		    	</h:panelGrid>
		    	<h:panelGrid columns="1" cellpadding="10">
					<h:outputText value="#{item.endDate}" />
					<h:outputText value="#{item.location}" />
					<h:outputText value="Participations: #{item.participatingUsers.size()}/#{item.nbPlaces}" />
		    	</h:panelGrid>
    		</p:panel>
      </c:forEach>
        
        
        </div>
  		
    </ui:define>

</ui:composition>